import kalpaa.config


def test_model_param_default_works():
	TEST_ZMIN = -99
	TEST_ZMAX = 99
	TEST_REAL_ZMAX = 55
	TEST_COUNT = 58
	model_param_config = kalpaa.config.DefaultModelParamConfig(
		z_min=TEST_ZMIN,
		z_max=TEST_ZMAX,
	)

	actual_params = model_param_config.reduced_model_params(
		count=TEST_COUNT, z_max=TEST_REAL_ZMAX
	)

	assert actual_params.z_min == TEST_ZMIN
	assert actual_params.z_max == TEST_REAL_ZMAX  # want later value to override
	assert actual_params.x_min == -20
	assert actual_params.x_max == 20
	assert actual_params.count == TEST_COUNT
