import pathlib
from dataclasses import asdict

import kalpaa.config.config_reader


TEST_DATA_DIR = pathlib.Path(__file__).resolve().parent / "test_files"


def test_parse_config_toml_as_dict(snapshot):
	test_config_file = TEST_DATA_DIR / "test_config.toml"
	actual_config = kalpaa.config.config_reader.read_config(test_config_file)

	assert asdict(actual_config) == snapshot


def test_parse_config_all_fields_toml_as_dict(snapshot):
	test_config_file = TEST_DATA_DIR / "test_config_all_fields.toml"
	actual_config = kalpaa.config.config_reader.read_config(test_config_file)

	assert asdict(actual_config) == snapshot


def test_parse_config_few_fields_toml_as_dict(snapshot):
	test_config_file = TEST_DATA_DIR / "test_config_few_fields.toml"
	actual_config = kalpaa.config.config_reader.read_config(test_config_file)

	assert asdict(actual_config) == snapshot


def test_parse_config_geom_params_toml_as_dict(snapshot):
	test_config_file = TEST_DATA_DIR / "test_config_geom_params.toml"
	actual_config = kalpaa.config.config_reader.read_config(test_config_file)

	assert asdict(actual_config) == snapshot
